Jump to content

Fillet Radius goes to Zero every DWG


jimdi4

Recommended Posts

:? Hello,

My first post...new to CADTutor...

 

I am using AC 2009 and the Fillet radius keeps going back to zero even though I save the drawing.

When I open the drawing again whala, Fillet radius is back to zero!

What causes this?

 

Other AC users do not experience this problem...:(

Link to comment
Share on other sites

  • Replies 40
  • Created
  • Last Reply

Top Posters In This Topic

  • jimdi4

    16

  • dbroada

    6

  • Tiger

    5

  • totzky

    3

Top Posters In This Topic

Posted Images

what you could do is add FILLETRAD to your acaddoc.lsp, that way it's set everytime you start AutoCAD. It would only work if you usually use the same radius though..

Link to comment
Share on other sites

I'm not that good at editing lisp routines matter of fact I never did it but I did find that file you refered to....How would I add that FILLETRAD to the lisp routine to default my Radius to lets say .075?

Link to comment
Share on other sites

here is my acaddoc.lsp lisp file :

 

;;;*-*TXT acad.lsp is loaded once, acaddoc.lsp is loaded for each

;;; document, s::startup in any case is called after acaddoc.lsp

;;; has been loaded

;

;;(if (= nil acad_helpdlg)

;; (progn

;; (load "acadr15.lsp")

;; (load (strcat (getvar "menuname") ".mnl"))

;; )

;;)

(if (= nil genlade)

(progn

(princ (load "gen/acadm.lsp" "\nError: acadm.lsp not loaded!"))

(if acadmappend (setq s::startup (acadmappend s::startup)))

)

)

Link to comment
Share on other sites

here is my acaddoc.lsp lisp file :

 

;;;*-*TXT acad.lsp is loaded once, acaddoc.lsp is loaded for each

;;; document, s::startup in any case is called after acaddoc.lsp

;;; has been loaded

;

;;(if (= nil acad_helpdlg)

;; (progn

;; (load "acadr15.lsp")

;; (load (strcat (getvar "menuname") ".mnl"))

;; )

;;)

(if (= nil genlade)

(progn

(princ (load "gen/acadm.lsp" "\nError: acadm.lsp not loaded!"))

(if acadmappend (setq s::startup (acadmappend s::startup)))

)

)

 

I'm not a star at Lisp either so if I'm wrong, please someone correct me, but I would add the line (setvar "filletrad" 0.075) to the very very end of your acaddoc-file.

Link to comment
Share on other sites

I'm not a star at Lisp either so if I'm wrong, please someone correct me, but I would add the line (setvar "filletrad" 0.075) to the very very end of your acaddoc-file.
both my sentiments and how I would do it.

 

I would like to know what is resetting it though, possibly acadr15.lsp?

Link to comment
Share on other sites

both my sentiments and how I would do it.

 

I would like to know what is resetting it though, possibly acadr15.lsp?

 

that's got semicolons before it though, doesn't that mean it's not loading?

 

Just the fact that you found a acaddoc.lsp-file makes me think that there's someone in your office, or has been that has done customizations to autocad, and these could be messing things up. As far as I know, on a completely new install, the acaddoc.lsp file doesn't even exist.

Link to comment
Share on other sites

that's got semicolons before it though, doesn't that mean it's not loading?
shows how long it is since I used LISP! :lol: Yes, semi colons are comments, not commands.

 

 

disregard following comment - stupidity rules!

However, acadm.lsp hasn't.

Link to comment
Share on other sites

I would like to know what is resetting it though, possibly acadr15.lsp?

 

I did a search for acadr15.lsp and didn't find any file with that name...I'm using AC 2009...

 

jl:roll:

Link to comment
Share on other sites

Just the fact that you found a acaddoc.lsp-file makes me think that there's someone in your office, or has been that has done customizations to autocad, and these could be messing things up. As far as I know, on a completely new install, the acaddoc.lsp file doesn't even exist.

 

Does that mean I can delete it?

Link to comment
Share on other sites

 

Does that mean I can delete it?

 

hmm....I have created an acaddoc.lsp for the sole purpose of making sure my settings are always loaded. So if you don't use anything that is in there, then yes, you can delete it. What you could try is to remove it - change it's name and chuck it somewhere else and then start AutoCAD and see if something is different.

 

Like I said, there's a reason it's there, that reason could be obsolete though.

 

Antoher question - can you find the acadm.lsp somewhere? Because I think that is loaded through you acaddoc.lsp

Link to comment
Share on other sites

hmm....I have created an acaddoc.lsp for the sole purpose of making sure my settings are always loaded. So if you don't use anything that is in there, then yes, you can delete it. What you could try is to remove it - change it's name and chuck it somewhere else and then start AutoCAD and see if something is different.

 

Like I said, there's a reason it's there, that reason could be obsolete though.

 

Antoher question - can you find the acadm.lsp somewhere? Because I think that is loaded through you acaddoc.lsp

 

Sure, Here is acadm.lsp :wink:

 

(defun AcadMappend(startup /)(if(cond((/= T(load"gen/genbas0.lsp" T)) T)((/= T(load"gen/genbas0.ll" T)) T)((/= T(if ge0geniusdir(load(strcat ge0geniusdir"gen/genbas0.lsp") T) T)) T)((/= T(if geniuspd(load(strcat(geniuspd)"gen/genbas0.lsp") T) T)) T)(T nil))(append(list(if startup(car startup) nil)(list(quote acadmstartup)))(cdr startup))(progn(prompt"\nAcadM Error: file genbas0.lsp not loaded.") startup)))(defun genneuzeich()(redraw))(if(=(type *error*) 'SUBR)(setq *error* nil))(if(not special)(defun special(a) a))(defun c:amlayer_con1()(command"_amlayer""_o""con1")(princ))(defun c:amlayer_con2()(command"_amlayer""_o""con2")(princ))(defun c:amlayer_con3()(command"_amlayer""_o""con3")(princ))(defun c:amlayer_hidw()(command"_amlayer""_o""hidw")(princ))(defun c:amlayer_hidn()(command"_amlayer""_o""hidn")(princ))(defun c:amlayer_hlin()(command"_amlayer""_o""hlin")(princ))(defun c:amlayer_dili()(command"_amlayer""_o""dili")(princ))(defun c:amlayer_txt3()(command"_amlayer""_o""txt3")(princ))(defun c:amlayer_cenw()(command"_amlayer""_o""cenw")(princ))(defun c:amlayer_cenn()(command"_amlayer""_o""cenn")(princ))(defun c:amlayer_hatch()(command"_amlayer""_o""hatc")(princ))(defun c:amlayer_vpli()(command"_amlayer""_o""vpli")(princ))(defun c:amlayer_phan()(command"_amlayer""_o""phan")(princ))(defun c:amunit_0()(gensv)(gendimsetdecimals 0)(command"_UNITS" 2 0 1 0 0"_N")(genprompt"xx.")(genun)(princ))(defun c:amunit_1()(gensv)(gendimsetdecimals 1)(command"_UNITS" 2 1 1 1 0"_N")(genprompt"xx.x")(genun)(princ))(defun c:amunit_2()(gensv)(gendimsetdecimals 2)(command"_UNITS" 2 2 1 2 0"_N")(genprompt"xx.xx")(genun)(princ))(defun c:amunit_3()(gensv)(gendimsetdecimals 3)(command"_UNITS" 2 3 1 3 0"_N")(genprompt"xx.xxx")(genun)(princ))(defun c:amunit_4()(gensv)(gendimsetdecimals 4)(command"_UNITS" 2 4 1 4 0"_N")(genprompt"xx.xxxx")(genun)(princ))(princ)

Link to comment
Share on other sites

Why not just create a new lisp in notepad with

(setvar "filletrad" 0.75)

 

Than save and put in your startup suite, or add the folder it is in to your "Support File Search Path" in Options....

Link to comment
Share on other sites

not a reply, just added a code tag and a bit of formatting....

 

(defun AcadMappend(startup /)
(if(cond((/= T(load"gen/genbas0.lsp" T)) T)
((/= T(load"gen/genbas0.ll" T)) T)
((/= T(if ge0geniusdir(load(strcat ge0geniusdir"gen/genbas0.lsp") T) T)) T)
((/= T(if geniuspd(load(strcat(geniuspd)"gen/genbas0.lsp") T) T)) T)
(T nil))
(append(list(if startup(car startup) nil)
(list(quote acadmstartup)))
(cdr startup))
(progn(prompt"\nAcadM Error: file genbas0.lsp not loaded.") startup)))

(defun genneuzeich()
(redraw))
(if(=(type *error*) 'SUBR)(setq *error* nil))
(if(not special)(defun special(a) a))
(defun c:amlayer_con1()(command"_amlayer""_o""con1")(princ))
(defun c:amlayer_con2()(command"_amlayer""_o""con2")(princ))
(defun c:amlayer_con3()(command"_amlayer""_o""con3")(princ))
(defun c:amlayer_hidw()(command"_amlayer""_o""hidw")(princ))
(defun c:amlayer_hidn()(command"_amlayer""_o""hidn")(princ))
(defun c:amlayer_hlin()(command"_amlayer""_o""hlin")(princ))
(defun c:amlayer_dili()(command"_amlayer""_o""dili")(princ))
(defun c:amlayer_txt3()(command"_amlayer""_o""txt3")(princ))
(defun c:amlayer_cenw()(command"_amlayer""_o""cenw")(princ))
(defun c:amlayer_cenn()(command"_amlayer""_o""cenn")(princ))
(defun c:amlayer_hatch()(command"_amlayer""_o""hatc")(princ))
(defun c:amlayer_vpli()(command"_amlayer""_o""vpli")(princ))
(defun c:amlayer_phan()(command"_amlayer""_o""phan")(princ))
(defun c:amunit_0()(gensv)(gendimsetdecimals 0)(command"_UNITS" 2 0 1 0 0"_N")(genprompt"xx.")(genun)(princ))
(defun c:amunit_1()(gensv)(gendimsetdecimals 1)(command"_UNITS" 2 1 1 1 0"_N")(genprompt"xx.x")(genun)(princ))
(defun c:amunit_2()(gensv)(gendimsetdecimals 2)(command"_UNITS" 2 2 1 2 0"_N")(genprompt"xx.xx")(genun)(princ))
(defun c:amunit_3()(gensv)(gendimsetdecimals 3)(command"_UNITS" 2 3 1 3 0"_N")(genprompt"xx.xxx")(genun)(princ))
(defun c:amunit_4()(gensv)(gendimsetdecimals 4)(command"_UNITS" 2 4 1 4 0"_N")(genprompt"xx.xxxx")(genun)(princ))(princ)

Link to comment
Share on other sites

Sure, Here is acadm.lsp :wink:

 

(defun AcadMappend(startup /)(if(cond((/= T(load"gen/genbas0.lsp" T)) T)((/= T(load"gen/genbas0.ll" T)) T)((/= T(if ge0geniusdir(load(strcat ge0geniusdir"gen/genbas0.lsp") T) T)) T)((/= T(if geniuspd(load(strcat(geniuspd)"gen/genbas0.lsp") T) T)) T)(T nil))(append(list(if startup(car startup) nil)(list(quote acadmstartup)))(cdr startup))(progn(prompt"\nAcadM Error: file genbas0.lsp not loaded.") startup)))(defun genneuzeich()(redraw))(if(=(type *error*) 'SUBR)(setq *error* nil))(if(not special)(defun special(a) a))(defun c:amlayer_con1()(command"_amlayer""_o""con1")(princ))(defun c:amlayer_con2()(command"_amlayer""_o""con2")(princ))(defun c:amlayer_con3()(command"_amlayer""_o""con3")(princ))(defun c:amlayer_hidw()(command"_amlayer""_o""hidw")(princ))(defun c:amlayer_hidn()(command"_amlayer""_o""hidn")(princ))(defun c:amlayer_hlin()(command"_amlayer""_o""hlin")(princ))(defun c:amlayer_dili()(command"_amlayer""_o""dili")(princ))(defun c:amlayer_txt3()(command"_amlayer""_o""txt3")(princ))(defun c:amlayer_cenw()(command"_amlayer""_o""cenw")(princ))(defun c:amlayer_cenn()(command"_amlayer""_o""cenn")(princ))(defun c:amlayer_hatch()(command"_amlayer""_o""hatc")(princ))(defun c:amlayer_vpli()(command"_amlayer""_o""vpli")(princ))(defun c:amlayer_phan()(command"_amlayer""_o""phan")(princ))(defun c:amunit_0()(gensv)(gendimsetdecimals 0)(command"_UNITS" 2 0 1 0 0"_N")(genprompt"xx.")(genun)(princ))(defun c:amunit_1()(gensv)(gendimsetdecimals 1)(command"_UNITS" 2 1 1 1 0"_N")(genprompt"xx.x")(genun)(princ))(defun c:amunit_2()(gensv)(gendimsetdecimals 2)(command"_UNITS" 2 2 1 2 0"_N")(genprompt"xx.xx")(genun)(princ))(defun c:amunit_3()(gensv)(gendimsetdecimals 3)(command"_UNITS" 2 3 1 3 0"_N")(genprompt"xx.xxx")(genun)(princ))(defun c:amunit_4()(gensv)(gendimsetdecimals 4)(command"_UNITS" 2 4 1 4 0"_N")(genprompt"xx.xxxx")(genun)(princ))(princ)

 

:lol: I got no idea what that does!

 

But since it exists, and is loaded every time you start a new drawing I'm assuming your using it somehow, even if you perhaps don't know about it.

 

So I still say, add the line about filletrad at the end.

 

Smorales - you'r aboslutetly right. I usually recommend adding settings like this to acaddoc.just becuase it's quite often already there and I think it's easier the fewer documents/lisps you have. but that's just my opinion.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...